Package com.independentsoft.office.odf.styles

# Class BulletLevelStyle

java.lang.Object
com.independentsoft.office.odf.styles.BulletLevelStyle

All Implemented Interfaces:
  `IListStyleContent`

public class BulletLevelStyle extends Object implements IListStyleContent
Represents a list style where list items are preceded by bullets.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BulletLevelStyle()`
  Initializes a new instance of the BulletLevelStyle class.
  `BulletLevelStyle​(String name)`
  Initializes a new instance of the BulletLevelStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BulletLevelStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getBulletCharacter()`
  Gets the unicode character to use as the bullet in a bullet level style.
  `int`
  `getLevel()`
  Gets the level of an outline or number list style.
  `ListLevelProperties`
  `getListLevelProperties()`
  Specifies formatting properties for list level.
  `String`
  `getName()`
  Gets the style name.
  `String`
  `getPrefixCharacter()`
  Specifies what to display before a number.
  `String`
  `getSuffixCharacter()`
  Specifies what to display before and after the number.
  `TextProperties`
  `getTextProperties()`
  Specifies formatting properties for text.
  `void`
  `setBulletCharacter​(String bulletCharacter)`
  Sets the unicode character to use as the bullet in a bullet level style.
  `void`
  `setLevel​(int level)`
  Sets the level of an outline or number list style.
  `void`
  `setName​(String name)`
  Sets the style name.
  `void`
  `setPrefixCharacter​(String prefixCharacter)`
  Specifies what to display before a number.
  `void`
  `setSuffixCharacter​(String suffixCharacter)`
  Specifies what to display before and after the number.
  `String`
  `toString()`
  Converts the value of the current BulletLevelStyle object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BulletLevelStyle

    public BulletLevelStyle()
    Initializes a new instance of the BulletLevelStyle class.

  - ### BulletLevelStyle

    public BulletLevelStyle​(String name)
    Initializes a new instance of the BulletLevelStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public BulletLevelStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IListStyleContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current BulletLevelStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies formatting properties for text.
    Returns:
      the text properties

  - ### getListLevelProperties

    public ListLevelProperties getListLevelProperties()
    Specifies formatting properties for list level.
    Returns:
      the list level properties

  - ### getName

    public String getName()
    Gets the style name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the style name.
    Parameters:
      `name` - the new name

  - ### getPrefixCharacter

    public String getPrefixCharacter()
    Specifies what to display before a number.
    Returns:
      the prefix character

  - ### setPrefixCharacter

    public void setPrefixCharacter​(String prefixCharacter)
    Specifies what to display before a number.
    Parameters:
      `prefixCharacter` - the new prefix character

  - ### getSuffixCharacter

    public String getSuffixCharacter()
    Specifies what to display before and after the number.
    Returns:
      the suffix character

  - ### setSuffixCharacter

    public void setSuffixCharacter​(String suffixCharacter)
    Specifies what to display before and after the number.
    Parameters:
      `suffixCharacter` - the new suffix character

  - ### getBulletCharacter

    public String getBulletCharacter()
    Gets the unicode character to use as the bullet in a bullet level style.
    Returns:
      the bullet character

  - ### setBulletCharacter

    public void setBulletCharacter​(String bulletCharacter)
    Sets the unicode character to use as the bullet in a bullet level style.
    Parameters:
      `bulletCharacter` - the new bullet character

  - ### getLevel

    public int getLevel()
    Gets the level of an outline or number list style.
    Returns:
      the level

  - ### setLevel

    public void setLevel​(int level)
    Sets the level of an outline or number list style.
    Parameters:
      `level` - the new level